Bug 1227767 - Eclipse hover clicking does not work in gnome
Summary: Eclipse hover clicking does not work in gnome
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: 24
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-03 12:59 UTC by Dušan Hokův
Modified: 2017-08-08 11:58 UTC (History)
10 users (show)

Fixed In Version: eclipse-4.5.1-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 11:58:50 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Hover popup (81.03 KB, image/png)
2015-06-03 12:59 UTC, Dušan Hokův
no flags Details

Description Dušan Hokův 2015-06-03 12:59:11 UTC
Created attachment 1034303 [details]
Hover popup

Description of problem:

When coding in Java and would like use hover around error in the code, looks like when click to any solution does nothing. In previous releases clicked for example import class... and code added. Problem is only under gnome3, with xfce eclipse hover works fine.

Version-Release number of selected component (if applicable):


How reproducible:

open java project
create some code
try hover over variable
from suggestions click to something


Steps to Reproduce:
1. open eclipse
2. code some java
3. try use hover assistant

Actual results:
no action

Expected results:
for example add import some class to code when click to import...

Additional info:
Only in the gnome, with xfce works as expected.

In the Fedora 21 was everything OK.

Comment 1 Dušan Hokův 2015-06-16 08:30:38 UTC
Problem is also when press F2 to focus hovered tooltip. Tooltip disappear instead get focus.

Comment 2 Mat Booth 2015-10-27 09:45:57 UTC
Hi Dušan,

Eclipse in F22 has been upgraded to Mars.1 (4.5.1) -- can you please verify if this is still a problem for you with all latest updates?

Comment 3 Roland Grunberg 2015-10-28 14:17:36 UTC
I believe I ran into this exact issue and the only thing I can remember is the splash screen was not of Mars.1, so likely this did happen. After upgrading the issue went away.

Comment 4 Mat Booth 2015-10-28 14:22:53 UTC
Cool, thanks for the extra feedback.

Comment 5 Dušan Hokův 2015-10-29 07:04:48 UTC
Today I updated eclipse to 4.5.1. Problem still persist :-(

REOPEN please.

Comment 6 Roland Grunberg 2015-10-29 20:45:08 UTC
Does 'rpm -qV eclipse-platform eclipse-jdt' doesn't output anything ?

Could you try backing up your $HOME/.eclipse folder (eg. mv $HOME/.eclipse $HOME/.eclipse.bak) and use a fresh workspace when launching and see if the result is the same ?

I'll try this on a fresh f22, since my current machine is definitely not reproducing the issue.

Comment 7 Dušan Hokův 2015-11-02 07:39:23 UTC
Output of command does not show anything.

When backup .eclipse and create fresh workspace, new java project etc...

Problem still persist.

Comment 8 Dušan Hokův 2015-11-04 12:09:26 UTC
Today updated to Fedora 23. Problem still persist. Tested in the gnome, gnome classic, gnome with wayland and xfce.

Only in the xfce hovering works without problem.

When use gnome with wailand, hovering dialog does not show, only see flickering in the left upper corner.

I think problem is in the gnome, not in the eclipse.

Comment 9 Roland Grunberg 2015-11-05 17:57:55 UTC
I've tried this on a fresh F23 machine, and hover help is working for me on GNOME. Hitting F2 over a problem focuses the window and clicking on a resolution does what's expected.

Could you try modifying the line below '--launcher.GTK_version' in /etc/eclipse.ini from '3' to '2', and test again to see if that makes any difference ? It should attempt to use the GTK2 library for drawing.

I am noticing the flickering issues you've describe on GNOME Wayland, but work is still being done upstream to fully support running on this backend.

Comment 10 Dušan Hokův 2015-11-07 07:14:33 UTC
When modify /etc/eclipse.ini and set--launcher.GTK_version to '2' problem solved.

Comment 11 Dušan Hokův 2016-06-27 08:45:53 UTC
Problem still persist in the Fedora 24.

adding --launcher.GTK_version 2 into /etc/eclipse.ini still works and solve issue.

Comment 12 Alexander Kurtakov 2016-06-27 09:58:10 UTC
Do you have webkitgtk3 installed?

Comment 13 Dušan Hokův 2016-06-27 10:07:48 UTC
yes

webkitgtk3-2.4.11-1.fc24.x86_64

Comment 14 Fedora End Of Life 2016-07-19 14:30:45 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 15 Fedora End Of Life 2017-07-25 18:56:53 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 11:58:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.